> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rankyak.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Articles



## OpenAPI

````yaml https://rankyak.com/api/v1/openapi.json get /articles
openapi: 3.0.0
info:
  title: RankYak API V1
  description: API specification for RankYak
  version: 1.0.0
servers:
  - url: https://rankyak.com/api/v1
    description: RankYak API V1
security:
  - X-Api-Key: []
tags:
  - name: Articles
    description: Articles
paths:
  /articles:
    get:
      tags:
        - Articles
      summary: Articles
      operationId: 0b157633bd436069bf76ab6e9dfbfe07
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            default: 1
            minimum: 1
        - name: per_page
          in: query
          schema:
            type: integer
            default: 100
            maximum: 100
            minimum: 1
        - name: exclude_h1
          in: query
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ArticleResource'
                  links:
                    properties:
                      first:
                        type: string
                      last:
                        type: string
                        nullable: true
                      prev:
                        type: string
                        nullable: true
                      next:
                        type: string
                        nullable: true
                    type: object
                  meta:
                    properties:
                      current_page:
                        type: integer
                      from:
                        type: integer
                        nullable: true
                      path:
                        type: string
                      per_page:
                        type: integer
                      to:
                        type: integer
                        nullable: true
                    type: object
                type: object
        '422':
          description: Unprocessable Entity
components:
  schemas:
    ArticleResource:
      properties:
        id:
          type: integer
        slug:
          type: string
        excerpt:
          type: string
        title:
          type: string
        meta_title:
          type: string
        meta_description:
          type: string
        html:
          type: string
        markdown:
          type: string
        header_image_url:
          type: string
          format: uri
          nullable: true
        publish_at:
          type: string
          format: date-time
        published_at:
          type: string
          format: date-time
          nullable: true
        updated_at:
          description: Most recent content change (refresh or rewrite)
          type: string
          format: date-time
          nullable: true
      type: object
  securitySchemes:
    X-Api-Key:
      type: apiKey
      name: X-Api-Key
      in: header

````